dofile_lua( "motha-2" )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	-- default for this beastie
	actor[cp_actor_name]		= "motha-2_emerge"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "motha-2_emerge"

	actor[cp_these_collide_with_me]		= cat_player

	actor[cp_hit_delay]				= 5.0
	actor[cp_mutate_hit_delay]		= 5.0

	actor[cp_launch_hue_shift] = color + 120

	actor[cp_launch_scale_min]		= 200.0
	actor[cp_launch_scale_max]		= 200.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_particle_to_anim( "emerge", "burnbone", "motha-2_emerge" )

	c_add_particle_to_anim( "emerge", "bone", "motha-2_emergepad" )
	c_add_sound_to_anim( "emerge" , "motha-2_emerge" )

	c_set_trigger_mutate( "motha-2", "my_time_alive__pass_path", 0.0, 0.0, 1.0, 1.0, 200.0, 200.0 )
